View Issue Details

IDProjectCategoryView StatusLast Update
0008657mantisbtapi soappublic2015-03-15 19:58
ReportermwietscherAssigned Tocommunity 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.1.0rc3 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0008657: SOAP API support for custom filters
Description

it would be real nice to send a structure with the filter elements of the advanced filter (reporter, category, handler, status, severity etc) to soap api and get returned the matching issues

this would eg enable full text search etc.

TagsNo tags attached.

Relationships

has duplicate 0012265 closedrombert Get the changelog/roadmap via soap 
has duplicate 0012892 closedrombert It would be nice to be able to search bugs with the API 
has duplicate 0014571 closedrombert Get issues for any user 
has duplicate 0016381 closed API to retrieve all issues for project version 

Activities

rombert

rombert

2011-02-13 09:31

developer   ~0028215

The current implemenation plan is:

  1. Create a new WSDL entity to hold the filter values. These should be all the values from the IssueData;
  2. Create a new SOAP method which takes in a username, password and the filter values;
  3. In the method implementation, unserialize the filter and apply the search using filter_get_bug_rows.
rombert

rombert

2011-02-20 06:39

developer   ~0028258

Last edited: 2012-11-06 15:00

View 2 revisions

Skeletal implementation started at https://github.com/rombert/mantisbt/tree/soap-custom-filters .

vboctor

vboctor

2015-01-25 21:11

manager   ~0048684

Here is the pull ruequest for this work:
https://github.com/mantisbt/mantisbt/pull/560

Related Changesets

MantisBT: master 10f2b977

2015-01-23 00:39:10

mhabrnal

Details Diff
SOAP API: added new SOAP API methods

mc_filter_search_issue_ids() - returns the array of issue ids.
mc_issues_get() - given an integer array returns array of issue data.
mc_issues_get_header() - given an integer array returns array of issue header data.

Fixes 0008657

Signed-off-by: Matej Habrnal <mhabrnal@redhat.com>
mod - api/soap/mantisconnect.wsdl Diff File
mod - api/soap/mc_filter_api.php Diff File
mod - api/soap/mc_issue_api.php Diff File

MantisBT: master 615f6093

2015-02-02 23:33:21

vboctoradmin

Details Diff
Merge pull request 0000560 from mhabrnal/master

Fixes 0008657: SOAP API support for custom filters
mod - api/soap/mantisconnect.wsdl Diff File
mod - api/soap/mc_filter_api.php Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - tests/soap/FilterTest.php Diff File
mod - tests/soap/IssueAddTest.php Diff File

Issue History

Date Modified Username Field Change
2007-12-06 17:49 mwietscher New Issue
2010-08-18 17:57 rombert Relationship added has duplicate 0012265
2010-08-18 18:11 rombert Assigned To => rombert
2010-08-18 18:11 rombert Status new => confirmed
2011-02-13 09:20 rombert Status confirmed => assigned
2011-02-13 09:21 rombert Target Version => 1.2.5
2011-02-13 09:31 rombert Note Added: 0028215
2011-02-13 09:31 rombert Description Updated View Revisions
2011-02-20 06:39 rombert Note Added: 0028258
2011-04-01 07:52 rombert Relationship added has duplicate 0012892
2011-04-05 12:25 jreese Target Version 1.2.5 => 1.2.6
2011-06-28 10:47 rombert Target Version 1.2.6 => 1.3.0-beta.1
2012-08-09 06:34 rombert Relationship added has duplicate 0014571
2012-11-06 15:00 rombert Note Edited: 0028258 View Revisions
2013-09-19 03:34 rombert Relationship added has duplicate 0016381
2014-01-21 16:21 atrol Target Version 1.3.0-beta.1 =>
2014-01-21 16:21 atrol Description Updated View Revisions
2015-01-25 21:11 vboctor Note Added: 0048684
2015-01-25 22:10 vboctor Target Version => 1.3.0-beta.2
2015-01-25 22:10 vboctor Summary custom filters => SOAP API support for custom filters
2015-02-02 23:33 mhabrnal Changeset attached => MantisBT master 10f2b977
2015-02-02 23:33 vboctoradmin Changeset attached => MantisBT master 615f6093
2015-02-02 23:33 vboctoradmin Assigned To rombert => vboctoradmin
2015-02-02 23:33 vboctoradmin Status assigned => resolved
2015-02-02 23:33 vboctoradmin Resolution open => fixed
2015-02-02 23:33 vboctoradmin Fixed in Version => 1.3.0-beta.2
2015-02-02 23:35 vboctor Assigned To vboctoradmin => vboctor
2015-02-03 00:11 vboctoradmin Assigned To vboctor => community
2015-03-15 19:58 dregad Status resolved => closed